Product Videos

Deprecated

Videos

Embedded videos displayed on product listings.

This is archived documentation. The V2 Catalog API is deprecated. For current API documentation, see the Catalog API.

NameTypeDescription
idstringID of this video.
product_idintID of the associated product.
sort_orderintSort order for this video.
namestringName for this video.

Gets the videos associated with a product.

GET /stores/{store_hash}/v2/products/{product_id}/videos

Pagination

Parameters can be added to the URL query string to paginate the collection. The maximum limit is 250. If a limit isn’t provided, up to 50 product_videos are returned by default.

ParameterTypeExample
pageint/api/v2/products/{product_id}/videos?page={number}
limitint/api/v2/products/{product_id}/videos?limit={count}

Response

Example JSON returned in the response:

[
{
"id": "UmhvxsOwhqk",
"product_id": 30,
"sort_order": 0,
"name": "X-Men Evolution: Season 1, Episode 1"
}
]

Gets a product video.

GET /stores/{store_hash}/v2/products/{product_id}/videos/{id}

Gets a count of the number of product videos in the store.

GET /stores/{store_hash}/v2/products/videos/count

Response

Example JSON returned in the response:

{
"count": 0
}

Adds a link to a YouTube video to a product.

POST /stores/{store_hash}/v2/products/{product_id}/videos

Read-only Properties

The following properties of the product video are read-only. If one or more of these properties are included in the request, it will be rejected.

  • id
  • product_id

Requirements

The following properties of the product video are required. The request won’t be fulfilled unless these properties are valid.

  • url

Note

Only YouTube videos are supported. To create a new video, pass the full url in the request body.

Request

Example request object:

{
"url": "https://www.youtube.com/watch?v=4wZ3ZG_Wams"
}

Edit the metadata of a product video.

PUT /stores/{store_hash}/v2/products/{product_id}/videos/{id}

Read-only Properties

The following properties of the product video are read-only. If one or more of these properties are included in the request, it will be rejected.

  • id
  • product_id

Requirements

There are no required properties when updating a product video.

Note

The name, sort_order and url properties of the product video are editable.

Posting a new url will update the id of the video to reference the new video.

Request

Example request object:

{
"name": "New video title",
"sort_order": 2
}

Delete a product video.

DELETE /stores/{store_hash}/v2/products/{product_id}/videos/{id}

Deletes all videos belonging to a product.

DELETE /stores/{store_hash}/v2/products/{product_id}/videos